#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private BigTrade[] cacheBigTrade;

		
		public BigTrade BigTrade(string user_name, string user_password, string desde_hora, int dias_a_visualizar, int big_trade_tamano_fuente, bool modoNuevosMaximos, bool modoNuevosMaximosSesion, int filtrarContratosMenores, bool pintar_delta, bool pintar_si_repite_nivel, double tolerancia_nivel, bool alerta_pantalla, bool alerta_email, string email_destino, bool alerta_telegram, bool alerta_telegram_imagen, string telegramBotToken, string telegramChatId, bool telegramTestMessage, bool draw_lastbt_line, int grosor_lastbt_line, int posicion_maximo_semanal, Brush color_lastbt_line, Brush color_bt_positivo, Brush color_bt_negativo, Brush color_mismo_nivel, Brush color_texto_maximo_semanal, bool modo_robot)
		{
			return BigTrade(Input, user_name, user_password, desde_hora, dias_a_visualizar, big_trade_tamano_fuente, modoNuevosMaximos, modoNuevosMaximosSesion, filtrarContratosMenores, pintar_delta, pintar_si_repite_nivel, tolerancia_nivel, alerta_pantalla, alerta_email, email_destino, alerta_telegram, alerta_telegram_imagen, telegramBotToken, telegramChatId, telegramTestMessage, draw_lastbt_line, grosor_lastbt_line, posicion_maximo_semanal, color_lastbt_line, color_bt_positivo, color_bt_negativo, color_mismo_nivel, color_texto_maximo_semanal, modo_robot);
		}


		
		public BigTrade BigTrade(ISeries<double> input, string user_name, string user_password, string desde_hora, int dias_a_visualizar, int big_trade_tamano_fuente, bool modoNuevosMaximos, bool modoNuevosMaximosSesion, int filtrarContratosMenores, bool pintar_delta, bool pintar_si_repite_nivel, double tolerancia_nivel, bool alerta_pantalla, bool alerta_email, string email_destino, bool alerta_telegram, bool alerta_telegram_imagen, string telegramBotToken, string telegramChatId, bool telegramTestMessage, bool draw_lastbt_line, int grosor_lastbt_line, int posicion_maximo_semanal, Brush color_lastbt_line, Brush color_bt_positivo, Brush color_bt_negativo, Brush color_mismo_nivel, Brush color_texto_maximo_semanal, bool modo_robot)
		{
			if (cacheBigTrade != null)
				for (int idx = 0; idx < cacheBigTrade.Length; idx++)
					if (cacheBigTrade[idx].user_name == user_name && cacheBigTrade[idx].user_password == user_password && cacheBigTrade[idx].desde_hora == desde_hora && cacheBigTrade[idx].dias_a_visualizar == dias_a_visualizar && cacheBigTrade[idx].big_trade_tamano_fuente == big_trade_tamano_fuente && cacheBigTrade[idx].ModoNuevosMaximos == modoNuevosMaximos && cacheBigTrade[idx].ModoNuevosMaximosSesion == modoNuevosMaximosSesion && cacheBigTrade[idx].FiltrarContratosMenores == filtrarContratosMenores && cacheBigTrade[idx].pintar_delta == pintar_delta && cacheBigTrade[idx].pintar_si_repite_nivel == pintar_si_repite_nivel && cacheBigTrade[idx].tolerancia_nivel == tolerancia_nivel && cacheBigTrade[idx].alerta_pantalla == alerta_pantalla && cacheBigTrade[idx].alerta_email == alerta_email && cacheBigTrade[idx].email_destino == email_destino && cacheBigTrade[idx].alerta_telegram == alerta_telegram && cacheBigTrade[idx].alerta_telegram_imagen == alerta_telegram_imagen && cacheBigTrade[idx].TelegramBotToken == telegramBotToken && cacheBigTrade[idx].TelegramChatId == telegramChatId && cacheBigTrade[idx].TelegramTestMessage == telegramTestMessage && cacheBigTrade[idx].draw_lastbt_line == draw_lastbt_line && cacheBigTrade[idx].grosor_lastbt_line == grosor_lastbt_line && cacheBigTrade[idx].posicion_maximo_semanal == posicion_maximo_semanal && cacheBigTrade[idx].color_lastbt_line == color_lastbt_line && cacheBigTrade[idx].color_bt_positivo == color_bt_positivo && cacheBigTrade[idx].color_bt_negativo == color_bt_negativo && cacheBigTrade[idx].color_mismo_nivel == color_mismo_nivel && cacheBigTrade[idx].color_texto_maximo_semanal == color_texto_maximo_semanal && cacheBigTrade[idx].modo_robot == modo_robot && cacheBigTrade[idx].EqualsInput(input))
						return cacheBigTrade[idx];
			return CacheIndicator<BigTrade>(new BigTrade(){ user_name = user_name, user_password = user_password, desde_hora = desde_hora, dias_a_visualizar = dias_a_visualizar, big_trade_tamano_fuente = big_trade_tamano_fuente, ModoNuevosMaximos = modoNuevosMaximos, ModoNuevosMaximosSesion = modoNuevosMaximosSesion, FiltrarContratosMenores = filtrarContratosMenores, pintar_delta = pintar_delta, pintar_si_repite_nivel = pintar_si_repite_nivel, tolerancia_nivel = tolerancia_nivel, alerta_pantalla = alerta_pantalla, alerta_email = alerta_email, email_destino = email_destino, alerta_telegram = alerta_telegram, alerta_telegram_imagen = alerta_telegram_imagen, TelegramBotToken = telegramBotToken, TelegramChatId = telegramChatId, TelegramTestMessage = telegramTestMessage, draw_lastbt_line = draw_lastbt_line, grosor_lastbt_line = grosor_lastbt_line, posicion_maximo_semanal = posicion_maximo_semanal, color_lastbt_line = color_lastbt_line, color_bt_positivo = color_bt_positivo, color_bt_negativo = color_bt_negativo, color_mismo_nivel = color_mismo_nivel, color_texto_maximo_semanal = color_texto_maximo_semanal, modo_robot = modo_robot }, input, ref cacheBigTrade);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.BigTrade BigTrade(string user_name, string user_password, string desde_hora, int dias_a_visualizar, int big_trade_tamano_fuente, bool modoNuevosMaximos, bool modoNuevosMaximosSesion, int filtrarContratosMenores, bool pintar_delta, bool pintar_si_repite_nivel, double tolerancia_nivel, bool alerta_pantalla, bool alerta_email, string email_destino, bool alerta_telegram, bool alerta_telegram_imagen, string telegramBotToken, string telegramChatId, bool telegramTestMessage, bool draw_lastbt_line, int grosor_lastbt_line, int posicion_maximo_semanal, Brush color_lastbt_line, Brush color_bt_positivo, Brush color_bt_negativo, Brush color_mismo_nivel, Brush color_texto_maximo_semanal, bool modo_robot)
		{
			return indicator.BigTrade(Input, user_name, user_password, desde_hora, dias_a_visualizar, big_trade_tamano_fuente, modoNuevosMaximos, modoNuevosMaximosSesion, filtrarContratosMenores, pintar_delta, pintar_si_repite_nivel, tolerancia_nivel, alerta_pantalla, alerta_email, email_destino, alerta_telegram, alerta_telegram_imagen, telegramBotToken, telegramChatId, telegramTestMessage, draw_lastbt_line, grosor_lastbt_line, posicion_maximo_semanal, color_lastbt_line, color_bt_positivo, color_bt_negativo, color_mismo_nivel, color_texto_maximo_semanal, modo_robot);
		}


		
		public Indicators.BigTrade BigTrade(ISeries<double> input , string user_name, string user_password, string desde_hora, int dias_a_visualizar, int big_trade_tamano_fuente, bool modoNuevosMaximos, bool modoNuevosMaximosSesion, int filtrarContratosMenores, bool pintar_delta, bool pintar_si_repite_nivel, double tolerancia_nivel, bool alerta_pantalla, bool alerta_email, string email_destino, bool alerta_telegram, bool alerta_telegram_imagen, string telegramBotToken, string telegramChatId, bool telegramTestMessage, bool draw_lastbt_line, int grosor_lastbt_line, int posicion_maximo_semanal, Brush color_lastbt_line, Brush color_bt_positivo, Brush color_bt_negativo, Brush color_mismo_nivel, Brush color_texto_maximo_semanal, bool modo_robot)
		{
			return indicator.BigTrade(input, user_name, user_password, desde_hora, dias_a_visualizar, big_trade_tamano_fuente, modoNuevosMaximos, modoNuevosMaximosSesion, filtrarContratosMenores, pintar_delta, pintar_si_repite_nivel, tolerancia_nivel, alerta_pantalla, alerta_email, email_destino, alerta_telegram, alerta_telegram_imagen, telegramBotToken, telegramChatId, telegramTestMessage, draw_lastbt_line, grosor_lastbt_line, posicion_maximo_semanal, color_lastbt_line, color_bt_positivo, color_bt_negativo, color_mismo_nivel, color_texto_maximo_semanal, modo_robot);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.BigTrade BigTrade(string user_name, string user_password, string desde_hora, int dias_a_visualizar, int big_trade_tamano_fuente, bool modoNuevosMaximos, bool modoNuevosMaximosSesion, int filtrarContratosMenores, bool pintar_delta, bool pintar_si_repite_nivel, double tolerancia_nivel, bool alerta_pantalla, bool alerta_email, string email_destino, bool alerta_telegram, bool alerta_telegram_imagen, string telegramBotToken, string telegramChatId, bool telegramTestMessage, bool draw_lastbt_line, int grosor_lastbt_line, int posicion_maximo_semanal, Brush color_lastbt_line, Brush color_bt_positivo, Brush color_bt_negativo, Brush color_mismo_nivel, Brush color_texto_maximo_semanal, bool modo_robot)
		{
			return indicator.BigTrade(Input, user_name, user_password, desde_hora, dias_a_visualizar, big_trade_tamano_fuente, modoNuevosMaximos, modoNuevosMaximosSesion, filtrarContratosMenores, pintar_delta, pintar_si_repite_nivel, tolerancia_nivel, alerta_pantalla, alerta_email, email_destino, alerta_telegram, alerta_telegram_imagen, telegramBotToken, telegramChatId, telegramTestMessage, draw_lastbt_line, grosor_lastbt_line, posicion_maximo_semanal, color_lastbt_line, color_bt_positivo, color_bt_negativo, color_mismo_nivel, color_texto_maximo_semanal, modo_robot);
		}


		
		public Indicators.BigTrade BigTrade(ISeries<double> input , string user_name, string user_password, string desde_hora, int dias_a_visualizar, int big_trade_tamano_fuente, bool modoNuevosMaximos, bool modoNuevosMaximosSesion, int filtrarContratosMenores, bool pintar_delta, bool pintar_si_repite_nivel, double tolerancia_nivel, bool alerta_pantalla, bool alerta_email, string email_destino, bool alerta_telegram, bool alerta_telegram_imagen, string telegramBotToken, string telegramChatId, bool telegramTestMessage, bool draw_lastbt_line, int grosor_lastbt_line, int posicion_maximo_semanal, Brush color_lastbt_line, Brush color_bt_positivo, Brush color_bt_negativo, Brush color_mismo_nivel, Brush color_texto_maximo_semanal, bool modo_robot)
		{
			return indicator.BigTrade(input, user_name, user_password, desde_hora, dias_a_visualizar, big_trade_tamano_fuente, modoNuevosMaximos, modoNuevosMaximosSesion, filtrarContratosMenores, pintar_delta, pintar_si_repite_nivel, tolerancia_nivel, alerta_pantalla, alerta_email, email_destino, alerta_telegram, alerta_telegram_imagen, telegramBotToken, telegramChatId, telegramTestMessage, draw_lastbt_line, grosor_lastbt_line, posicion_maximo_semanal, color_lastbt_line, color_bt_positivo, color_bt_negativo, color_mismo_nivel, color_texto_maximo_semanal, modo_robot);
		}

	}
}

#endregion
